># <b># GlassPieces</b>

Adds 27 new build pieces made of glass and iron, 2 new materials and 1 new resource that you can mine.

<br/>

![](https://i.ibb.co/X4yvBg0/ss.png)
![](https://i.ibb.co/HYrMdyW/ss2.png)
![](https://i.ibb.co/KjBJ3Bg/ss3.png)
![](https://i.ibb.co/brR75C0/ss4.png)
![](https://i.ibb.co/KWL3fm2/ss7.png)
![](https://i.ibb.co/4YW0Bg5/ss6.png)

>## ## Installation (manual)

- extract `GlassPieces.dll` file to your `BepInEx\Plugins\` folder

<br/>

>## ## Features

- Adds 27 new build pieces that you can use to build your very own glass house.
- Adds a new material called Glass which you can get by smelting Silica Ores in the Blast Furnace.
- You can get Silica Ores in two ways, one is by picking scattered pickable silica ores at the black forest, swamps, mountains and plains biome or two by mining silica veins which spawns in plains biome (do note that these new resources will only spawn at unexplored areas, if you want them to spawn at explored areas you need another mod called Upgrade World.)
- Configurable resources spawn data.
- Adds a new resource collector that magically transmute silica ores.
- Configurable collector duration and max capacity.
- You need to craft an Iron Hammer in order to build these new pieces.
- Uses serversync and built-in config watcher.
- Configurable through config file or [Configuration Manager](https://valheim.thunderstore.io/package/Azumatt/Official_BepInEx_ConfigurationManager/)

<br/>

>## ## Changelog
<br/>

v1.0.6
- as requested added a new silica ore collector.
- fixed repair translation

<details>
<summary><b>Changelog History</b> (<i>click to expand</i>)</summary>
<br/>

v1.0.4
- added config option for pickable silica ore and silica veins group radius, min/max group size and max amount per zone so you could control how scarce the resources is.

v1.0.3
- fixed glass door snapping.
- added 3 new sliding glass pieces (windows and door).
- added toggle option to disable pickables
- added serversync and config watcher.

v1.0.0
- first release

</details>